---

- name: testing playbook
  hosts: all
  become: true
  become_user: sysop

  tasks:
    - name: touch some file
      ansible.builtin.file:
        path: "{{ item }}/some_testfile"
        state: touch  # present
      loop:
        - /home/sysop
        - /tmp

    - name: touch some sudo file
      become_user: root
      ansible.builtin.file:
        path: "{{ item }}/some_testfile"
        state: touch  # present
      loop:
        - /opt
